
import * as asyncHandler from 'express-async-handler'

import * as wmkqyszhxBiz from '../biz/qyszhx';
        
import * as jxgljscBiz from '../biz/jxgljsc';
        
import * as qyfwBiz from '../biz/qyfw';
        
import * as zhyyBiz from '../biz/zhyy';

import * as publicBiz from '../biz/public';
        
export function setRouter(httpServer){

    //======post
    
    httpServer.post('/yuyi/viewserver/qyszhx', asyncHandler(wmkqyszhxBiz.getData));
    httpServer.post('/yuyi/viewserver/jxgljsc', asyncHandler(jxgljscBiz.getData));
    httpServer.post('/yuyi/viewserver/qyfw', asyncHandler(qyfwBiz.getData));
    httpServer.post('/yuyi/viewserver/qyfwbyname', asyncHandler(qyfwBiz.getEnterpriseByName)); 
    httpServer.post('/yuyi/viewserver/zhyy', asyncHandler(zhyyBiz.getData));//智慧运营
    httpServer.post('/yuyi/viewserver/public/selectparam', asyncHandler(publicBiz.publicRouter));
    
}
    